Simulation
Create simulation
Create a new test simulation with scenarios.
POST /simulations
Bearersession
Body
6 fields
·
Name of the simulation.
ID of the agent to test.
Number of calls to make per scenario (default 1, max 3).
1.00
Number of concurrent calls to run (default 3, max 3).
3.00
curl -X POST 'https://omnidim.io/api/v1/simulations' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "name": "My Simulation", "agent_id": 158910, "number_of_call_to_make": 1, "concurrent_call_count": 3, "max_call_duration_in_minutes": 3, "scenarios": [ { "name": "Polite cancellation", "description": "Ask to cancel a subscription, but be friendly.", "expected_result": "Agent acknowledges the request and routes to retention.", "selected_voices": [ { "provider": "eleven_labs" } ] } ] }'
Example response
{ "success": true, "simulation": { "id": 456, "name": "Customer Support Test", "bot_id": { "id": 1234, "name": "Customer Support Agent" }, "scenarios_ids": [], "status": "Draft", "number_of_call_to_make": 1, "concurrent_call_count": 3, "max_call_duration_in_minutes": 3, "what_went_wrong": false, "suggestions_for_improvement": false, "prompt_suggestion": false, "is_auto_prompt_suggestions_applied": false, "how_many_scenario_to_generate": 0, "summary": false, "analyticsData": { "Positive": 0, "Negative": 0, "Neutral": 0 }, "total_simulation_remaining_records": 0, "total_simulation_in_progress_records": 0, "total_simulation_finished_records": 0, "total_records": 0, "progress": [ 0 ], "create_date": "05/08/2026 09:10:29", "simulation_call_recording": [], "can_stop": false, "active_calls_count": 0 } }
BearerAuthheader
AuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
application/jsonname*stringName of the simulation.
agent_id*integerID of the agent to test.
number_of_call_to_make?integerNumber of calls to make per scenario (default 1, max 3).
Range
1 <= value <= 3Default
1concurrent_call_count?integerNumber of concurrent calls to run (default 3, max 3).
Range
1 <= value <= 3Default
3max_call_duration_in_minutes?integerMaximum duration for each call in minutes (default 3, max 10).
Range
1 <= value <= 10Default
3scenarios?List of test scenarios to execute.
Response body
application/jsonSimulation created.
application/jsonsuccess?booleansimulation?A test simulation for an agent.
Was this page helpful?
